Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Software Linux per GPS
#1
Ho girato in lungo e in largo ma, alla fine, non ho trovato molto.
Qualcuno conosce un programma linux che sappia gestire le tracce GPS?
Qualcosa tipo Oziexplorer o, meglio ancora, OkMap.
In sintesi: con questi programmi prendi una immagine .jpg, la georeferenzi e poi ci carichi sopra la traccia scaricata dal GPS
Cita messaggio
#2
salve, premesso che con i jpg non ho ancora provato, infatti uso i raster ecw o geotiff, ti posso consigliare qgis o ancora meglio esiste una distro basata su ubuntu che ha tutta una serie di programmi dedicati ai g.i.s si tratta di osgeolive e la trovi
CLICCANDO QUI
Cita messaggio
#3
(12-02-2013, 11:54 )luciano Ha scritto: salve, premesso che con i jpg non ho ancora provato, infatti uso i raster ecw o geotiff, ti posso consigliare qgis o ancora meglio esiste una distro basata su ubuntu che ha tutta una serie di programmi dedicati ai g.i.s si tratta di osgeolive e la trovi
CLICCANDO QUI

Grazie Luciano,
ho già scaricato e provato quella distro, c'è veramente di tutto.
Alla fine, per le mie modeste esigenze, mi sono concentrato su QLandkarte e QuantumGis (QGis).
QLandkarte non carica nessun file mappa che non siano i suoi.
QGis apre jpg, bmp e tiff ma non gli ecw.
Il problema è la georeferenziazione di questi file.
Puoi dirmi esattamente come fai tu ?
Ti ringrazio in anticipo
Cita messaggio
#4
purtroppo i file ecw sono in formato proprietario e nativamente qgis non li apre, però trovi la guida per abilitare i codec
cliccando qui

mentre per altri tipi di file so che si può fare ma non ho provato..
vedi se va bene
questa guida

p.s come puoi vedere nella distro ci sono anche altri programmi tipo gvsig e kosmo, anche questi sono programmi utilizzati per i g.i.s.
Cita messaggio
#5
(12-02-2013, 15:24 )luciano Ha scritto: purtroppo i file ecw sono in formato proprietario e nativamente qgis non li apre, però trovi la guida per abilitare i codec
cliccando qui

mentre per altri tipi di file so che si può fare ma non ho provato..
vedi se va bene
questa guida

p.s come puoi vedere nella distro ci sono anche altri programmi tipo gvsig e kosmo, anche questi sono programmi utilizzati per i g.i.s.

Penso che QGis, potenziato da Grass e Gdal, sia più che sufficiente per un uso amatoriale.
Le guide segnalate hanno funzionato, l'unico problema è stato il reperimento del codec per ecw. Il link diretto è questo:
<http://dl.maptools.org/dl/fgs/releases/pre-1.0/fgs-dev/fgs-cache/libecwj2-3.3.20060906.tar.gz>
Altra cosa che mi ha fatto perdere del tempo è stata l'esatta individuazione del datum -
Indico per altri. Per avere dati cartografici, in metri, scegliere UTM WGS84 (EPSG:4326) - Per l' Italia va bene.
Cita messaggio
#6
bene che hai risolto e, se può interessarti, ti segnalo che nel sito della "nostra" regione c'è molto materiale come puoi vedere

CLICCANDO QUI

e

QUI
Cita messaggio
#7
(13-02-2013, 16:12 )luciano Ha scritto: bene che hai risolto e, se può interessarti, ti segnalo che nel sito della "nostra" regione c'è molto materiale come puoi vedere

CLICCANDO QUI

e

QUI

Si, avevo già visto.
Roba per professionisti, l'unica cosa che consulto spesso sono le foto aeree ma così, libere senza gis.
Ho mollato quel sito quando, per scaricare la cartografia di base, ti chiedono se sei un Ente o qualcosa del genere. E allora ti incazzi: costruiscono una mole enorme di lavoro con i nostri soldi ma la proprietà è della Regione e tu cittadino non puoi consultare. Vai a capire.
Comunque, per scaricare le tracce del GPS sulla cartografia, Qgis potenziato con i vari plugin che mi hai indicato sostituisce alla grande i vari Oziexplorer e OkMap. E questo basta e avanza.
Un saluto
Cita messaggio
#8
Il sistema Qgis / Ecw riportato nelle discussioni precedenti non funziona più: cambiato Ubuntu, cambiato Qgis, cambiato plugin ecw.

Se ci fosse qualcuno interessato alla problematica Qgis / Ecw, riporto la soluzione (trovata e provata non senza sbattimenti) riguardante la nuova versione di Ubuntu 14.04 e derivate.
Provata con Qgis 2.2 e 2.4  e Mate (verificare il proprio editor di testo modificando pluma con ....)

Preparare l'installazione 
  • Abilitare il repository sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable
  • sudo apt-get update
  • Installare da Synaptic: QGIS 2.2, python-qgis, GDAL-bin 1.11, libgdal-dev, python-gdal,  Checkinstall, g++ , gcc
  • Verificare che Qgis funzioni
  • Scaricare il pacchetto ECWJP2SDKSetup_5.1.1.bin (scegliendo ovviamente la versione Linux) da http://download.intergraph.com/
Comandi da terminale

chmod +x ECWJP2SDKSetup_5.1.1.bin./ECWJP2SDKSetup_5.1.1.bin #Select desktop-read-only and accept the license)
         - - Selezionare il numero 1
        
- - Scorrere tutta la licenza e digitare yes

sudo cp -r ERDAS-ECW_JPEG_2000_SDK-5.1.1 /usr/local/

sudo ln -s /usr/local/ERDAS-ECW_JPEG_2000_SDK-5.1.1/Desktop_Read-Only/lib/x86/release/libNCSEcw.so /usr/local/lib/libNCSEcw.so

sudo ldconfig

il pacchetto libgdal-ecw non c'è su Trusty, bisogna prenderlo da Precise, modificare il repository ubuntugis-unstable da Trusty a Precise
sudo pluma /etc/apt/sources.list
inserire nelle righe sottostanti precise al posto di trusty
deb http://ppa.launchpad.net/ubuntugis/ubunt...ble/ubuntu precise main
deb-src http://ppa.launchpad.net/ubuntugis/ubunt...ble/ubuntu precise main
sudo apt-get update
sudo apt-get install libgdal-ecw-src
sudo gdal-ecw-build /usr/local/ERDAS-ECW_JPEG_2000_SDK-5.1.1/Desktop_Read-Only

GDAL da ubuntugis è 1.11, ma lo script memorizza il plugin in /usr/lib/gdalplugins/1.10 , quindi non viene trovato da gdalinfo. Così ho creato una sottocartella 1.11 e copiato il file in questa: 

sudo mkdir /usr/lib/gdalplugins/1.11 cd /usr/lib/gdalplugins/1.10 
sudo cp gdal_ECW_JP2ECW.so /usr/lib/gdalplugins/1.11

gdalinfo --formats | grep -i ecw 

risposta se l'installazione del plugin è andata a buon fine:
ECW (rw+): ERDAS Compressed Wavelets (SDK 5.1)

JP2ECW (rw+v): ERDAS JPEG2000 (SDK 5.1)

se tutto funziona disabilitare permanentemente il repository ubuntugis per evitare aggiornamenti che potrebbero rendere nuovamente non funzionante il plugin Ecw su Qgis
Cita messaggio
#9
diciamo che io sono ancora fermo a qgis 1.8 e comunque ho appena scaricato osgeolive 8
che mi sembra abbia qgis 2.4, appena avrò tempo provo questa soluzione

[Immagine: http://www.avsforum.com/photopost/data/2...cebook.gif]
Cita messaggio
#10
eccomi... mi sa che qgis interessa solo noi due..
comunque voglio comunicare che ho risolto in altro modo su qgis 2.4
precisamente seguendo  questo link
e con qualche aggiunta finale... se riesco cerco di fare una guida completa [img]images/smilies/dorme.gif[/img]
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)